//
// Settings menu implementation
//

#include "SettingsMenu.h"
#include "UserInterface.h"

/*
class SettingsMenu : public UIMenu
{
public:
    SettingsMenu( CheapLCD * lcd, HomeMenu * parent );
    virtual ~SettingsMenu() {};
    
protected:
    virtual void KnobPushed();
    virtual void AttachButton( PushButton * button )
        { button->attach( this, &SettingsMenu::KnobPushed ); }
    
private:
    HomeMenu * fParent;
    CheapLCD * fLCD;
};
*/

SettingsMenu::SettingsMenu( CheapLCD * lcd, HomeMenu * parent )
: UIMenu( lcd, "Settings" ),
  fLCD( lcd ), fParent( parent )
{
    fLabels.push_back( string( "Light Sensor" ) );
    fLabels.push_back( string( "Motion Sensor" ) );
    fLabels.push_back( string( "Defaults" ) );
    fLabels.push_back( string( "Debug" ) );
    fLabels.push_back( string( "Exit Settings" ) );
}

void SettingsMenu::KnobPushed()
{
    switch( SelectedItem() )
    {
    case 4:
        SwitchTo( fParent );
        break;
    }
}
